//车间详情
const shopDetail = [
  {
    cardTitle: "基本信息",
    itemData: [
      {
        title: "车间编号",
        key: "shopCode",
      },
      {
        title: "车间名称",
        key: "shopName",
      },
      {
        title: "所属工厂",
        key: "factoryName",
      },
      {
        title: "描述",
        key: "remark",
        col: { span: 24 },
      },
    ],
  },
  {
    cardTitle: "关联信息",
    itemData: [
      {
        title: "产线（加工中心）",
        key: "productionLineName",
      },
      {
        title: "工段",
        key: "sectionName",
      },
      {
        title: "工艺路线",
        key: "processLineName",
      },
      {
        title: "班组",
        key: "groupName",
      },
      {
        title: "班次",
        key: "shiftName",
      },
    ],
  },
];

//产线详情
const productionlineDetail = [
  {
    cardTitle: "基本信息",
    itemData: [
      {
        title: "产线编号",
        key: "productionLineCode",
      },
      {
        title: "产线名称",
        key: "productionLineName",
      },
      {
        title: "所属工厂",
        key: "factoryName",
      },
      {
        title: "所属车间",
        key: "shopName",
      },
      {
        title: "加工能力",
        key: "processingCapacity",
      },
      {
        title: "加工类型",
        key: "processingTypeName",
      },
      {
        title: "能力系数",
        key: "capacityCoefficient",
      },
      {
        title: "加工日产量",
        key: "dailyProcessingOutput",
      },
      {
        title: "描述",
        key: "remark",
        col: { span: 24 },
      },
    ],
  },
  {
    cardTitle: "关联信息",
    itemData: [
      {
        title: "工位",
        key: "stationInfo",
      },
    ],
  },
];

//工段详情
const sectionDetail = [
  {
    cardTitle: "基本信息",
    itemData: [
      {
        title: "工段编号",
        key: "sectionCode",
      },
      {
        title: "工段名称",
        key: "sectionName",
      },
      {
        title: "所属工厂",
        key: "factoryName",
      },
      {
        title: "所属车间",
        key: "shopName",
      },
      {
        title: "描述",
        key: "remark",
        col: { span: 24 },
      },
    ],
  },
  {
    cardTitle: "关联信息",
    itemData: [
      {
        title: "工序",
        key: "workingProcedureName",
      },
      {
        title: "工位",
        key: "stationName",
      },
      {
        title: "班组",
        key: "groupName",
      },
    ],
  },
];

//工位详情
const stationDetail = [
  {
    cardTitle: "基本信息",
    itemData: [
      {
        title: "工位编号",
        key: "stationCode",
      },
      {
        title: "工位名称",
        key: "stationName",
      },
      {
        title: "所属工厂",
        key: "factoryName",
      },
      {
        title: "所属车间",
        key: "shopName",
      },
      {
        title: "所属工段",
        key: "sectionName",
      },
      {
        title: "所属产线",
        key: "productionLineName",
      },
      {
        title: "工位类型",
        key: "stationTypeName",
      },
      {
        title: "工位难易系数",
        key: "stationDifficultyCoefficient",
      },
      {
        title: "能力",
        key: "capacity",
      },
      {
        title: "描述",
        key: "remark",
        col: { span: 24 },
      },
    ],
  },
  {
    cardTitle: "关联信息",
    itemData: [
      {
        title: "采集站点",
        key: "collectionSiteName",
      },
    ],
  },
];

const userDetails = [
  //个人详情
  {
    cardTitle: "个人信息",
    itemData: [
      {
        title: "用户名",
        key: "accountName",
      },
      {
        title: "姓名",
        key: "userName",
      },
      {
        title: "性别",
        key: "genderName",
      },
      {
        title: "联系电话",
        key: "telephone",
      },
      {
        title: "工厂",
        key: "factoryName",
      },
      {
        title: "部门",
        key: "departmentName",
      },
      {
        title: "负责车间",
        key: "shopNames",
      },
      {
        title: "负责工段",
        key: "sectionNames",
      },
      {
        title: "负责产线",
        key: "productionLines",
      },
      {
        title: "角色",
        key: "roleNames",
      },
      {
        title: "直属领导",
        key: "parentName",
      },
      {
        title: "邮箱",
        key: "mailNo",
      },
      {
        title: "学历",
        key: "academicCareer",
      },
      {
        title: "毕业院校",
        key: "university",
      },
      {
        title: "专业",
        key: "major",
      },
      {
        title: "个人图片",
        key: "userImgList",
        type: "img",
      },
      {
        title: "备注",
        key: "remarks",
        col: { span: 24 },
      },
    ],
  },
];

const userCheckDetails = [
  //个人详情-----待审核
  {
    cardTitle: "个人信息",
    itemData: [
      {
        title: "申请时间",
        key: "applyTime",
      },
      {
        title: "用户名",
        key: "accountName",
      },
      {
        title: "姓名",
        key: "userName",
      },
      {
        title: "性别",
        key: "genderName",
      },
      {
        title: "联系电话",
        key: "telephone",
      },
      {
        title: "工厂",
        key: "factoryName",
      },
      {
        title: "部门",
        key: "departmentName",
      },
      {
        title: "负责车间",
        key: "shopName",
      },
      {
        title: "负责工段",
        key: "sectionName",
      },
      {
        title: "负责产线",
        key: "productionLineName",
      },
      {
        title: "角色",
        key: "roleName",
      },
      {
        title: "直属领导",
        key: "parentName",
      },
      {
        title: "邮箱",
        key: "mailNo",
      },
      {
        title: "学历",
        key: "academicCareer",
      },
      {
        title: "毕业院校",
        key: "university",
      },
      {
        title: "专业",
        key: "major",
      },
      {
        title: "个人图片",
        key: "userImgList",
        type: "img",
      },
      {
        title: "备注",
        key: "remark",
        col: { span: 24 },
      },
    ],
  },
  {
    cardTitle: "审批信息",
    itemData: [
      {
        title: "审批时间",
        key: "auditTime",
      },
      {
        title: "审批人",
        key: "auditUserName",
      },
      {
        title: "审批结果",
        key: "auditResultName",
      },
      {
        title: "审批意见",
        key: "auditOpinion",
        col: { span: 24 },
      },
    ],
  },
];

const workingProcedureDetail = [
  //工序管理
  {
    cardTitle: "基本信息",
    itemData: [
      {
        title: "工序编号",
        key: "workingProcedureCode",
      },
      {
        title: "工序名称",
        key: "workingProcedureName",
      },
      {
        title: "所属工厂",
        key: "factoryName",
      },
      {
        title: "所属车间",
        key: "shopName",
      },
      {
        title: "所属工段",
        key: "sectionName",
      },
      {
        title: "工序类型",
        key: "workingProcedureTypeName",
      },
      {
        title: "采集方式",
        key: "collectionModeName",
      },
      {
        title: "描述",
        key: "remark",
        col: { span: 24 },
      },
    ],
  },
  {
    cardTitle: "关联信息",
    itemData: [
      {
        title: "工艺路线",
        key: "processLineName",
      },
      {
        title: "采集站点",
        key: "collectionSiteName",
      },
    ],
  },
];

const gongyiDetail = [
  //工艺工序部分信息
  {
    cardTitle: "基本信息",
    itemData: [
      {
        title: "工艺路线编号",
        key: "processLineCode",
      },
      {
        title: "工艺路线名称",
        key: "processLineName",
      },
      {
        title: "所属工厂",
        key: "factoryName",
      },
      {
        title: "所属车间",
        key: "shopName",
      },
      {
        title: "工艺路线类型",
        key: "processLineTypeName",
      },
      {
        title: "能力",
        key: "capacity",
      },
      {
        title: "描述",
        key: "remark",
        col: { span: 24 },
      },
    ],
  },
];
const gatherDetail = [
  //采集站点详情
  {
    cardTitle: "基本信息",
    itemData: [
      {
        title: "站点编号",
        key: "collectionSiteCode",
      },
      {
        title: "站点名称",
        key: "collectionSiteName",
      },
      {
        title: "所属工厂",
        key: "factoryName",
      },
      {
        title: "所属车间",
        key: "shopName",
      },
      {
        title: "所属产线",
        dataIndex: "productionLineName",
        key: "productionLineName",
      },
      {
        title: "工序",
        key: "workingProcedureName",
      },
      {
        title: "工序类型",
        key: "workingProcedureTypeName",
      },
      {
        title: "采集方式",
        key: "collectionModeName",
      },
      {
        title: "描述",
        key: "remark",
        col: { span: 24 },
      },
    ],
  },
  {
    cardTitle: "工位信息",
    itemData: [
      {
        key: "pmCollectionSiteStationList",
        type: "table",
        col: { span: 24 },
        columns: [
          {
            title: "工位编号",
            dataIndex: "stationCode",
            key: "stationCode",
            search: false,
          },
          {
            title: "工位名称",
            dataIndex: "stationName",
            key: "stationName",
            search: false,
          },
          {
            title: "所属车间",
            dataIndex: "shopName",
            key: "shopName",
            search: false,
          },
          {
            title: "所属工段",
            dataIndex: "sectionName",
            key: "sectionName",
            search: false,
          },
          {
            title: "所属产线",
            dataIndex: "productionLineName",
            key: "productionLineName",
            search: false,
          },
          {
            title: "工位类型",
            dataIndex: "stationTypeName",
            key: "stationTypeName",
            search: false,
          },
          {
            title: "能力",
            dataIndex: "capacity",
            key: "capacity",
            search: false,
          },
        ],
      },
    ],
  },
];
const materielDetail = [
  //物料详情
  {
    cardTitle: "基本信息",
    itemData: [
      {
        title: "物料编号",
        key: "materieCode",
      },
      {
        title: "物料名称",
        key: "materieName",
      },
      {
        title: "物料类别",
        key: "materieTypeName",
      },
      {
        title: "生产单位(主)",
        key: "productionUnitName",
      },
      {
        title: "工艺线路",
        key: "processLineName",
      },
      {
        title: "物料管控",
        key: "materialControlName",
      },
      {
        title: "序列号规则",
        key: "serialNumberRuleName",
      },
      {
        title: "标签模板",
        key: "labelTemplateName",
      },
      {
        title: "描述",
        key: "remark",
        col: { span: 24 },
      },
    ],
  },
  {
    cardTitle: "BOM信息",
    itemData: [
      {
        key: "materieBomTreeList",
        type: "table",
        col: { span: 24 },
        columns: [
          {
            title: "物料编号",
            dataIndex: "title",
            key: "title",
            search: false,
          },
          {
            title: "物料名称",
            dataIndex: "materieName",
            key: "materieName",
            search: false,
          },
          {
            title: "生产单位(主)",
            dataIndex: "productionUnitName",
            key: "productionUnitName",
            search: false,
          },
          {
            title: "物料类别",
            dataIndex: "materieTypeName",
            key: "materieTypeName",
            search: false,
          },
          {
            title: "台份量",
            dataIndex: "numberUnits",
            key: "numberUnits",
            search: false,
          },
          {
            title: "产出工序",
            dataIndex: "workingProduceName",
            key: "workingProduceName",
            search: false,
          },
          {
            title: "投料工序",
            dataIndex: "workingFeedingName",
            key: "workingFeedingName",
            search: false,
          },
        ],
      },
    ],
  },
];
const shiftgroupDetail = [
  //班组信息详情
  {
    cardTitle: "基本信息",
    itemData: [
      {
        title: "班组编号",
        key: "groupNo",
      },
      {
        title: "班组名称",
        key: "groupName",
      },
      {
        title: "所属工厂",
        key: "factoryName",
      },
      {
        title: "所属车间",
        key: "shopName",
      },
      {
        title: "所属工段",
        key: "sectionName",
      },
      {
        title: "描述",
        key: "description",
        col: { span: 24 },
      },
    ],
  },
  {
    cardTitle: "班组人员",
    itemData: [
      {
        key: "userList",
        type: "table",
        col: { span: 24 },
        columns: [
          {
            title: "用户名",
            dataIndex: "accountName",
            key: "accountName",
            search: false,
          },
          {
            title: "姓名",
            dataIndex: "userName",
            key: "userName",
            search: false,
          },
          {
            title: "工厂",
            dataIndex: "factoryName",
            key: "factoryName",
            search: false,
          },
          {
            title: "部门",
            dataIndex: "departmentName",
            key: "departmentName",
            search: false,
          },
          {
            title: "负责车间",
            dataIndex: "shopNames",
            key: "shopNames",
            search: false,
          },
          {
            title: "负责工段",
            dataIndex: "sectionNames",
            key: "sectionNames",
            search: false,
          },
          {
            title: "角色",
            dataIndex: "roleNames",
            key: "roleNames",
            search: false,
          },
          {
            title: "联系电话",
            dataIndex: "telephone",
            key: "telephone",
            search: false,
          },
        ],
      },
    ],
  },
];

const prodorderDetail = [
  //生产订单详情
  {
    cardTitle: "基本信息",
    itemData: [
      {
        title: "生产订单编号",
        key: "productionOrderNo",
      },
      {
        title: "产出物料编号",
        key: "materieCode",
      },
      {
        title: "产出物料名称",
        key: "materieName",
      },
      {
        title: "产出物料单位",
        key: "productionUnitName",
      },
      {
        title: "订单数量",
        key: "orderNum",
      },
      {
        title: "计划开工时间",
        key: "planStartDate",
      },
      {
        title: "计划完工时间",
        key: "planEndDate",
      },
      {
        title: "生产订单状态",
        key: "statusName",
      },
      {
        title: "已排产数量",
        key: "scheduledProductionNum",
      },
      {
        title: "完成数量",
        key: "finishNum",
      },
      {
        title: "销售订单号",
        key: "saleOrderNo",
      },
      {
        title: "行号",
        key: "lineNo",
      },
      {
        title: "客户名称",
        key: "customerName",
      },
      {
        title: "规格",
        key: "specs",
      },
      {
        title: "颜色",
        key: "color",
      },
      {
        title: "描述",
        key: "description",
        col: { span: 24 },
      },
      {
        title: "创建人",
        key: "createUserName",
      },
      {
        title: "创建时间",
        key: "createTime",
      },
    ],
  },
];

const shopplanDetail = [
  //车间计划详情
  {
    cardTitle: "基本信息",
    itemData: [
      {
        title: "车间计划编号",
        key: "shopPlanNo",
      },
      {
        title: "工厂",
        key: "factoryName",
      },
      {
        title: "车间",
        key: "shopName",
      },
      {
        title: "工艺路线编号",
        key: "processLineCode",
      },
      {
        title: "工艺路线名称",
        key: "processLineName",
      },
      {
        title: "物料编号",
        key: "materieCode",
      },
      {
        title: "物料名称",
        key: "materieName",
      },
      {
        title: "生产单位",
        key: "productionUnitName",
      },
      {
        title: "计划数量",
        key: "planNum",
      },
      {
        title: "计划开始时间",
        key: "planStartDate",
      },
      {
        title: "计划完成时间",
        key: "planEndDate",
      },
      {
        title: "生产订单编号",
        key: "productionOrderNo",
      },
      {
        title: "已排产数量",
        key: "scheduledProductionNum",
      },
      {
        title: "完成数量",
        key: "finishNum",
      },
      {
        title: "车间计划状态",
        key: "statusName",
      },
      {
        title: "销售订单号",
        key: "saleOrderNo",
      },
      {
        title: "行号",
        key: "lineNo",
      },
      {
        title: "客户名称",
        key: "customerName",
      },
      {
        title: "规格",
        key: "specs",
      },
      {
        title: "颜色",
        key: "color",
      },
      {
        title: "描述",
        key: "description",
        col: { span: 24 },
      },
      {
        title: "创建人",
        key: "createUserName",
      },
      {
        title: "创建时间",
        key: "createTime",
      },
      {
        title: "排序号",
        key: "sortNo",
      },
    ],
  },
];
const dispatchorderDetail = [
  //派工单详情
  {
    cardTitle: "基本信息",
    itemData: [
      {
        title: "派工单编号",
        key: "jobOrderNo",
      },
      {
        title: "物料编号",
        key: "materieCode",
      },
      {
        title: "物料名称",
        key: "materieName",
      },
      {
        title: "生产单位",
        key: "productionUnitName",
      },
      {
        title: "车间",
        key: "shopName",
      },
      {
        title: "产线",
        key: "productionLineName",
      },
      {
        title: "班次",
        key: "shiftName",
      },
      {
        title: "班组",
        key: "groupName",
      },
      {
        title: "排产数量",
        key: "scheduledProductionNum",
      },
      {
        title: "生产日期",
        key: "productionDate",
      },
      {
        title: "生产订单编号",
        key: "productionOrderNo",
      },
      {
        title: "车间计划编号",
        key: "shopPlanNo",
      },
      {
        title: "合格数量",
        key: "qualifiedNum",
      },
      {
        title: "不合格数量",
        key: "noQualifiedNum",
      },
      {
        title: "状态",
        key: "statusName",
      },
      {
        title: "销售订单号",
        key: "saleOrderNo",
      },
      {
        title: "行号",
        key: "lineNo",
      },
      {
        title: "客户名称",
        key: "customerName",
      },
      {
        title: "规格",
        key: "specs",
      },
      {
        title: "颜色",
        key: "color",
      },
      {
        title: "描述",
        key: "description",
        col: { span: 24 },
      },
      {
        title: "创建人",
        key: "createUserName",
      },
      {
        title: "创建时间",
        key: "createTime",
      },
      {
        title: "排序号",
        key: "sortNo",
      },
    ],
  },
];

const labeltemplateDetail = [
  //标签模板详情
  {
    cardTitle: "基本信息",
    itemData: [
      {
        title: "标签模板编号",
        key: "tableNo",
      },
      {
        title: "标签模板名称",
        key: "tableName",
      },
      {
        title: "标签模板类别",
        key: "tableTypeName",
      },
      {
        title: "标签长度（cm）",
        key: "length",
      },
      {
        title: "标签宽度（cm）",
        key: "width",
      },
      {
        title: "标签模板",
        key: "file",
        type: "file",
      },
      {
        title: "模板预览图",
        key: "preview",
        type: "img",
      },
      {
        title: "描述",
        key: "remark",
        col: { span: 24 },
      },
    ],
  },
  {
    cardTitle: "标签字段",
    itemData: [
      {
        key: "fieldList",
        type: "table",
        col: { span: 24 },
        columns: [
          {
            title: "序号",
            dataIndex: "index",
            key: "index",
            render: (text, row, index, action) => {
              return <div>{index + 1}</div>;
            },
          },
          {
            title: "字段名称",
            dataIndex: "fieldName",
            key: "fieldName",
            search: false,
          },
        ],
      },
    ],
  },
];
export {
  shopDetail,
  productionlineDetail,
  sectionDetail,
  stationDetail,
  userCheckDetails,
  userDetails,
  workingProcedureDetail,
  gongyiDetail,
  gatherDetail,
  materielDetail,
  shiftgroupDetail,
  prodorderDetail,
  shopplanDetail,
  dispatchorderDetail,
  labeltemplateDetail,
};
